# Uses of Class
java.awt.desktop.UserSessionEvent

Packages that use UserSessionEvent
Package
Description
java.awt.desktop
Provides interfaces and classes for interaction with various desktop capabilities.

## Uses of UserSessionEvent in java.awt.desktop

Methods in java.awt.desktop with parameters of type UserSessionEvent
Modifier and Type
Method
Description
`void`
UserSessionListener.`userSessionActivated(UserSessionEvent e)`
Called when the user session has been switched to.
`void`
UserSessionListener.`userSessionDeactivated(UserSessionEvent e)`
Called when the user session has been switched away.